#include <iostream>
#define MAX 200000
#include<algorithm>

using namespace std;

int main()
{
  int n, m;
  int g=0;
  cin>>n>>m;
  int nizmax[n] , nizmin[n];
  for(int i=0; i<n; i++)
   {
      cin >>nizmin[i]>>nizmax[i];
   }

 int nizl[m], nizr[m], nizx[m];
  for(int i=0; i<m ; i++)
   {
      cin >>nizl[i]>>nizr[i]>>nizx[i];
   }
   int bl=0;
   for(int i=0; i<m ; i++)
   {
     g=0;
     for (int r=nizl[i]; r<=nizr[i]; r++)
     {

         if (nizx[i]<=nizmax[r-1] && nizx[i]>=nizmin[r-1])
         {
             g++;
         }
         else
            ;
     }
     cout<<g<<endl;
   }

    return 0;
}